> ## Documentation Index
> Fetch the complete documentation index at: https://enrolla-nk-hub-guardrails.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an auto monitor setup

> Create a new auto monitor setup for automatic monitor creation



## OpenAPI

````yaml post /v2/auto-monitor-setups
openapi: 3.0.0
info:
  title: Traceloop API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.traceloop.com
security: []
paths:
  /v2/auto-monitor-setups:
    post:
      tags:
        - auto-monitor-setups
      summary: Create an auto monitor setup
      description: Create a new auto monitor setup for automatic monitor creation
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/request.CreateAutoMonitorSetupInput'
        description: Auto monitor setup configuration
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.AutoMonitorSetupResponse'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
components:
  schemas:
    request.CreateAutoMonitorSetupInput:
      properties:
        entity_type:
          type: string
        entity_value:
          type: string
        evaluators:
          items:
            type: string
          minItems: 1
          type: array
        external_id:
          type: string
        selector:
          additionalProperties: true
          type: object
      required:
        - entity_type
        - entity_value
        - evaluators
        - external_id
      type: object
    response.AutoMonitorSetupResponse:
      properties:
        created_at:
          type: string
        entity_type:
          type: string
        entity_value:
          type: string
        env_project_id:
          type: string
        evaluators:
          items:
            $ref: '#/components/schemas/response.AutoMonitorEvaluatorResponse'
          type: array
        external_id:
          type: string
        id:
          type: string
        init_rules:
          items:
            $ref: '#/components/schemas/evaluator.Rule'
          type: array
        org_id:
          type: string
        project_id:
          type: string
        status:
          type: string
        updated_at:
          type: string
      type: object
    response.ErrorResponse:
      description: Standard error response structure
      properties:
        error:
          example: error message
          type: string
      type: object
    response.AutoMonitorEvaluatorResponse:
      properties:
        binding_id:
          type: string
        error_message:
          type: string
        evaluator_id:
          type: string
        evaluator_type:
          type: string
        input_schema:
          items:
            $ref: '#/components/schemas/evaluator.Property'
          type: array
        output_schema:
          items:
            $ref: '#/components/schemas/evaluator.Property'
          type: array
        processed_at:
          type: string
        status:
          type: string
      type: object
    evaluator.Rule:
      properties:
        key:
          type: string
        op:
          $ref: '#/components/schemas/evaluator.ComparisonOperator'
        source:
          type: string
        value:
          type: string
        value_type:
          type: string
      required:
        - op
        - source
      type: object
    evaluator.Property:
      properties:
        description:
          type: string
          description: Description of the property
        label:
          type: string
          description: Display label for the property
        name:
          type: string
          description: Property name (used as variable in templates)
        type:
          type: string
          description: 'Property type: string, int, float, boolean, or enum'
          enum:
            - string
            - int
            - float
            - boolean
            - enum
        enum_values:
          type: array
          description: Allowed values if type is enum
          items:
            type: string
      required:
        - name
        - type
      type: object
    evaluator.ComparisonOperator:
      enum:
        - equals
        - not_equals
        - contains
        - exists
        - not_exists
        - greater_than
        - less_than
        - starts_with
      type: string
      x-enum-varnames:
        - ComparisonOperatorEquals
        - ComparisonOperatorNotEquals
        - ComparisonOperatorContains
        - ComparisonOperatorExists
        - ComparisonOperatorNotExists
        - ComparisonOperatorGreaterThan
        - ComparisonOperatorLessThan
        - ComparisonOperatorStartsWith

````